Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
dangngocloi

Tên font trong lisp

Các bài được khuyến nghị

các bạn ơi mình đạng gặp ý khó khăn trong lisp: vấn đề của minh là các bạn xem doan lisp này nha

(defun c:TL()

(setvar "REGENMODE" 0)

(if (/= scale nil)

(setq *SCALE (getreal (deflt "\nInput current scale: " scale)))

(setq *SCALE (getreal (deflt "\nInput current scale: " 0.0)))

)

(if (not *scale) (setq *scale scale) (setq scale *scale))

(command "STYLE" "5" "Vni-HELVE" (* 3.5 SCALE) "1" "0" "N" "N")

(command "STYLE" "3" "Vni-HELVE" (* 2.5 SCALE) "1" "0" "N" "N")

(command "STYLE" "2" "VN_vni.SHX" (* 1.6 SCALE) "0.7" "0" "N" "N" "N")

(command "STYLE" "DIMTEXT" "VN_vni.SHX" "0" "0.7" "0" "N" "N" "N") ; dung cho dimension

(command "STYLE" "DIMTEXT1" "Vni-HELVE" (* 2.0 SCALE) "1.0" "0" "N" "N") ; dung cho dimension

(command "STYLE" "2d" "Vni-HELVE" (* 2.0 SCALE) "1.0" "0" "N" "N")

(setvar "DIMCLRE" 2) ;Color

(setvar "DIMCLRD" 2) ;Color

(setvar "DIMCLRT" 255) ;Color

(setvar "DIMZIN" 2) ;Trailing

(setvar "DIMSAH" 0) ;Trailing

(setvar "DIMEXE" 1.0) ;Extension above line

(setvar "DIMBLK" ".") ;Default block

(setvar "DIMEXO" 0) ;Feature offset

(setvar "DIMASZ" 1.6) ;Arrow size

(setvar "DIMTSZ" 0) ;Tick size

(setvar "DIMDLE" (* 0.2 1)) ;Tick extension

(setvar "DIMTXT" (* 1.6 1)) ;Text height

(setvar "DIMGAP" (* 0.6 1)) ;Text gap

(setvar "DIMTAD" 1) ;Verical (defauft)

(setvar "DIMTIH" 0) ;Horizontal

(setvar "DIMTOH" 0) ;Horizontal

(setvar "DIMTOFL" 1) ;Force line inside

(setvar "DIMTIX" 1) ;Keep text between Ext. lines

(setvar "DIMTXSTY" "DIMTEXT") ;Text STYLE

(setvar "DIMLFAC" 10) ;LINEAR FACTOR

(setvar "DIMFIT" 5) ;No LEADER

(setvar "DIMSCALE" SCALE) ;Overall Scale

(setq tendim (rtos (* 10 scale) 2 0))

(if (= nil (tblsearch "dimstyle" tendim))

(command "-dimstyle" "save" tendim)

(command "-dimstyle" "save" tendim "Y")

; (command "-dimstyle" "restore" tendim)

);if

 

(setvar "REGENMODE" 1)

 

thực sự mình cũng chẳng hiểu mấy gì về lisp do nhu cầu công ty mới là phải dùng font VNI-TIMES.TTF THAY THÀY DÙNG FONT NHƯ TRÊN, mình thử thay doi font do khác nhưng khi dùng lệnh thì nó không hiểu?? minh ko biết tại sao ? giúp mình với , thanks các bạn thật nhiều...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Đây bạn ơi

 

(defun c:TL ()

 (setvar "CMDECHO" 0)
;;;Nhap so lieu ty le ban ve
 (if (= scale nil)
   (setq *scale 100.00)
   (setq *scale scale)
 )
 (setq
   scale (getreal
    (strcat "\nTi le ban ve: <" (rtos *scale 2 2) ">")
  )
 )
 (if (= scale nil)
   (setq scale *scale)
 )
;;;Nhap so lieu chieu cao TEXT
 (if (= chu nil)
   (setq chu1 2.00)
   (setq chu1 chu)
 )
 (setq	chu (getreal
      (strcat "\nChieu cao cua TEXT: <" (rtos chu1 2 2) ">")
    )
 )
 (if (= chu nil)
   (setq chu chu1)
 )

 (setvar "dimzin" 0)
 (setvar "dimfit" 0)
 (setvar "dimjust" 0)
 (setvar "dimfit" 2)
 (setvar "dimtad" 1)
 (setvar "dimtih" 0)
 (setvar "dimtix" 0)
 (setvar "dimtoh" 0)
 (setvar "dimtofl" 1)
 (setvar "dimdec" 0)
 (setvar "DIMTOFL" 0)
 (setvar "dimsd1" 0)
 (setvar "dimsd2" 0)
 (setvar "dimse1" 0)
 (setvar "dimse2" 0)
;;;gan color
 (setvar "dimclrd" 6)
 (setvar "dimclre" 6)
 (setvar "dimclrt" 3)

 (setvar "dimdli" (/ chu 2))
 (setvar "dimexe" (/ chu 2))
 (setvar "dimexo" (/ chu 2))
 (setvar "dimasz" (/ chu 2))
 (setvar "dimlfac" (/ scale 10))

 (setvar "dimtxt" chu)
 (setvar "dimgap" (/ chu 2))

 (if (not (tblsearch "Style" "VNI-HELVE"))
   (command "style" "VNI-HELVE" "Vni-Helve" ""	"1.00" "" "" ""	"")
   (command "style" "VNI-HELVE" "" "" "" "" "" "" "")
 )
;;;GAN BIEN CHO Text STYLE
 (if (not (tblsearch "Style" "DIMTEXT"))
   (command "style" "DIMTEXT" "VN_vni.SHX" "" "0.8" ""	"" "" "")
   (command "style" "DIMTEXT" "" "" "" "" "" "" "")
 )
 (setvar "DIMTXSTY" "DIMTEXT")
 (setq tendim (strcat "TL " (rtos scale 2 0)))
 (if (not (tblsearch "dimstyle" tendim))
   (command "-dimstyle" "save" tendim)
   (command "-dimstyle" "save" tendim "Y")
 )
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×